Bug 97512 - LO5.0.1RC3 About box not fully localizable
Summary: LO5.0.1RC3 About box not fully localizable
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Andras Timar
URL:
Whiteboard: target:5.2.0 target:5.1.1
Keywords:
Depends on:
Blocks:
 
Reported: 2016-02-02 17:10 UTC by Martin Srebotnjak
Modified: 2016-10-25 19:11 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Slovenian About Box with three unlocalizable strings (82.28 KB, image/png)
2016-02-02 17:10 UTC, Martin Srebotnjak
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Srebotnjak 2016-02-02 17:10:45 UTC
Created attachment 122334 [details]
Slovenian About Box with three unlocalizable strings

The About box contains a line with probably three unlocalizable English strings that show info about the number of CPU threads, the OS version and something called "UI render". The screenshot is attached.
These three strings, "CPU Threads:", "OS Version:" and "UI Render:" should be made localizable.
Comment 1 Commit Notification 2016-02-03 09:55:42 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e4b98408f60fdbe8248540da58bde8a9bf00c461

tdf#97512 make strings localizable

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Andras Timar 2016-02-03 10:06:45 UTC
Backport to libreoffice-5-1:
https://gerrit.libreoffice.org/#/c/22070/
Comment 3 Commit Notification 2016-02-05 15:36:59 UTC
Andras Timar committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1b6e2453c3ac4298f6b2b557e5e6510ec6619518&h=libreoffice-5-1

tdf#97512 make strings localizable

It will be available in 5.1.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.